Bug 60348 - Export Test case is not translated into Chinese correctly
Summary: Export Test case is not translated into Chinese correctly
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.0
Hardware: PC Mac OS X 10.1
: P2 major (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-07 08:46 UTC by XMeter
Modified: 2016-11-10 18:34 UTC (History)
1 user (show)



Attachments
The menu to be translated (102.40 KB, image/png)
2016-11-08 09:31 UTC, XMeter
Details
The testfix for the bug (672 bytes, patch)
2016-11-08 09:32 UTC, XMeter
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description XMeter 2016-11-07 08:46:53 UTC
"Export selected items" is translated as "导出测试用例“. However "导出测试用例“ means exporting whole test cases;
Comment 1 Milamber 2016-11-07 19:31:45 UTC
Hello,

Thanks for report.

What is the good translation in chinese for "Export selected items" ?

Milamber
Comment 2 XMeter 2016-11-08 02:35:24 UTC
I think "导出选中条目“ would be appropriate. FYI
Comment 3 XMeter 2016-11-08 09:31:19 UTC
Created attachment 34426 [details]
The menu to be translated

The initial bug description is not correct, please ignore it and sorry for the wrong input. Please refer to the menu in attached screenshot. The "Save Selection As..." is not translated correctly in Chinese, not "Export selected items". 

Currently, "Save Selection As..." was translated to "另存为", which actually means "Save AS" in English. So some of China users will be mislead to use this item to save JMeter test script. The script saved in this way will up to user's current selection, and it leads to report missing testcase element error when running in non-ui mode and some strange prompts for letting user to save the script before running. The blog in this URL, http://www.jianshu.com/p/e12066ea13b1, describes the problem.

I would suggest to translate it to "选中部分保存为...", which will be more appropriate. Thank you!
Comment 4 XMeter 2016-11-08 09:32:48 UTC
Created attachment 34427 [details]
The testfix for the bug

Attachment is the proposed fix, thanks.
Comment 5 Felix Schumacher 2016-11-10 18:34:42 UTC
Thanks for your patch. The new translation will be included in version 3.1 (which should be released really soon)

Date: Thu Nov 10 18:31:12 2016
New Revision: 1769178

URL: http://svn.apache.org/viewvc?rev=1769178&view=rev
Log:
Change chinese translation for "Save as".
Contributed by XMeter (support at xmeter.net).

Bugzilla Id 60348

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_zh_CN.properties
    jmeter/trunk/xdocs/changes.xml